API Documentation Version 1.2

API Reference

Quick search

Retrieving objects

This api request will retrieve an object from your computer vision database. “<id>” refers to the object’s id.

Resource URL:http://api.iqengines.com/v1.2/object/<id>/
Method:GET
Content-Type:application/x-www-form-urlencoded or multipart/form-data

Request parameters

required

api_key:Your API key.
api_sig:The signature of the API call, see Authentication.
time_stamp:The time stamp for your request. The formatting is ‘YYYYmmDDHHMMSS’ (e.g. ‘20100405224038’), and the standard is UTC time.

optional

json:If you set this value to anything other than 0, we will return the result in JSON format.
custom_id:If the object was created with a custom_id parameter, that value can be used here for retrieval.

Sample request

Sample GET request using cURL:

curl -X GET \
     -F "api_key=API_KEY" \
     -F "api_sig=SIGNATURE" \
     -F "time_stamp=20090612111832" \
     -F "json=1" \
     http://api.iqengines.com/v1.2/object/112480c5e6fe47ed972e2c9d06380689/

Return Values

success

HTTP Status Code: 200

Response Body:

   {'comment': 'successfully retrieved',
    'error': 0,
    'object': {'ctime': '1308165112134782',
               'meta': {},
               'name': 'hello world',
               'obj_id': '7ea945515deb4634892d601be8bf3a1a',
               'related_images': {'images': [{'data_url': 'http://iqe.gg2.img.s3.amazonaws.com/ce/a0/cea0d8053b31464d941057a93be120c3.jpg',
                                              'img_id': 'cea0d8053b31464d941057a93be120c3',
                                              'resource_url': 'http://api.iqengines.com/v1.2/image/cea0d8053b31464d941057a93be120c3/'}],
                                  'resource_url': 'http://api.iqengines.com/v1.2/object/7ea945515deb4634892d601be8bf3a1a/images/'},
               'resource_url': 'http://api.iqengines.com/v1.2/object/7ea945515deb4634892d601be8bf3a1a/'}}

error: object does not exist

HTTP Status Code: 404

Response Body:

    {'comment': 'This resource does not exist', 'error': 1}

error: permission denied

returned if you’re not authorized to retrieve the particular resource

HTTP Status Code: 401

Response Body:

    {'comment': 'Your account is not authorized to perform this operation',
     'error': 1}